### Method

# Vips Image set_image

#### Declaration [src]

    void
    vips_image_set_image (
      VipsImage* image,
      const char* name,
      VipsImage* im
    )

#### Description [src]

Attaches `im` as a metadata item on `image` as `name`. A convenience function over `vips_image_set()`.

See also

`vips_image_get_image()`, `vips_image_set()`.

#### Parameters

`name`

  Type: `const char*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`im`

  Type: `VipsImage`

  Metadata value.

  The data is owned by the caller of the method.